Bug 228188 - Review Request: usbsink - USBSink is a GNOME program for automatic file synchronization over USB
Review Request: usbsink - USBSink is a GNOME program for automatic file synch...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-02-11 01:30 EST by Jef Spaleta
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-26 01:52:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2007-02-11 01:30:41 EST
Spec URL: 
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/usbsink/usbsink.spec
SRPM URL:
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/usbsink/usbsink-0.3.0-1.fc6.src.rpm

Description:
USBSink is a GNOME program for automatic file synchronization over USB.
It is designed for users of removable drives, such as flash drives or
external hard disks.

In USBSink you create tasks which define program activities. Within a
task, you subscribe and files and directories to transfer. Each task
is associated to a particular USB drive. The program then synchronizes
the files whenever possible. For example, it could be when a target
flash drive is mounted or plugged in, and it containes some new or
modified files.
Comment 1 Ralf Corsepius 2007-02-11 02:52:57 EST
The package's configure script suffers from a small but ugly bug:
...
checking for xgettext... /usr/bin/xgettext
./configure: line 6833: sr: command not found
checking for dirent.h that defines DIR... yes
...

The cause seems to be this line from configure.ac (seemingly broken quoting):

ALL_LINGUAS= "`cat "$srcdir/po/LINGUAS"`"
Comment 2 Jef Spaleta 2007-02-11 03:01:15 EST
what would you suggest as the fix?
shell escaping the interior doublequotes? so it looks like this?
 ALL_LINGUAS= "`cat \"$srcdir/po/LINGUAS\"`"

or removing the outer doublequotes so it looks like this?
 ALL_LINGUAS= `cat \"$srcdir/po/LINGUAS\"`

-jef
Comment 3 Ralf Corsepius 2007-02-11 03:30:18 EST
The autoconf/gettext correct way would be to hard-code ALL_LINGUAS (Avoids a lot
of trouble)


Otherwise, as the problem they are trying to fix by quoting probably is
white-spaces in srcdir,

ALL_LINGUAS=`cat "${srcdir}"/po/LINGUAS`
probably will work

Another observation: Is this package under development? It uses a pretty much
antiquated set of autotools (automake-1.7.4, obsolete for several years.)
Comment 4 Jef Spaleta 2007-02-11 03:58:03 EST
yes its under active development, 0.3 was just released in fact... hit the
frontpage of freshmeat.net today.  I'm not on the mailinglist...yet. But I was
going to get signed up this weekend, after I've had a chance to get feedback on
how the application works or does not work.

I'm more than happy to compile a list of development issues to take to the
upstream developer as well as application level feedback.

In the meantime, it appears that a patch to the configure script using
ALL_LINGUAS=`cat "${srcdir}/po/LINGUAS"`
suffices.

NEW Spec URL
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/usbsink/usbsink.spec
NEW SRPM URL:
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/usbsink/usbsink-0.3.0-2.fc6.src.rpm


-jef
Comment 5 Parag AN(पराग) 2007-02-12 02:15:06 EST
looks nice feature this package is having.
mock build is fine but
rpmlint reports following warnings. 
W: usbsink spelling-error-in-description containes contains
You made a misspelling in the Description. Please double-check.

W: usbsink mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 17)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

= > use sed -i -e 's|\t|  |g' usbsink.spec 
Comment 6 Jef Spaleta 2007-02-12 02:34:41 EST
that's what i get for copying and pasting from the upstream website.

new srpm rpmlint's cleanly

http://jspaleta.thecodergeek.com/Fedora%20SRPMS/usbsink/usbsink.spec

http://jspaleta.thecodergeek.com/Fedora%20SRPMS/usbsink/usbsink-0.3.0-3.fc6.src.rpm
Comment 7 Parag AN(पराग) 2007-02-12 05:57:38 EST
you can install icon file also.
I saw in mock build.log
*** Icon cache not updated.  After install, run this:
***   gtk-update-icon-cache -f -t /usr/share/icons/hicolor

You can use gtk-update-icon-cache scriptlet
Comment 8 Parag AN(पराग) 2007-02-22 00:03:20 EST
ping?
any updates?
Comment 9 Jef Spaleta 2007-02-22 00:43:54 EST
Sorry real life caught up with me... but i'm back on my meds now.

http://jspaleta.thecodergeek.com/Fedora%20SRPMS/usbsink/usbsink.spec
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/usbsink/usbsink-0.3.0-4.fc6.src.rpm

has the gtk-update-icon-cache scriptlets in post and postun.

-jef
Comment 10 Parag AN(पराग) 2007-02-22 00:49:35 EST
unable to download SRPM
Comment 11 Jef Spaleta 2007-02-22 00:57:30 EST
Sorry, I pushed the local mock builds from the development tree to the webspace
this time.

http://jspaleta.thecodergeek.com/Fedora%20SRPMS/usbsink/FE-development/usbsink.spec
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/usbsink/FE-development/usbsink-0.3.0-4.fc7.src.rpm

You'll find the build.log from the mock session in that directory as well.

If you need a local fc6 binary builds let me know.

-jef
Comment 12 Parag AN(पराग) 2007-02-22 02:01:27 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM
+ source files match upstream.
c2044fdfa11e1725d15a7efe160a839e  usbsink-0.3.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ Used Scrollkeeper-update scriptlet.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ GUI app.
APPROVED.
Comment 13 Jef Spaleta 2007-02-23 01:47:32 EST
New Package CVS Request
=======================
Package Name: usbsink
Short Description: program for automated file synch over USB
Owners: jspaleta@gmail.com
Branches: devel FC-6
InitialCC: 
Comment 14 Dennis Gilmore 2007-02-23 07:54:56 EST
Branched
Comment 15 Parag AN(पराग) 2007-03-26 01:27:58 EDT
If You found no problem in building package, Can you CLOSE this Review Request?

Note You need to log in before you can comment on or make changes to this bug.